Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
Class TreeNodeBuildingVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.inspect.swingui.TreeNodeBuildingVisitor

    class TreeNodeBuildingVisitor
    extends CodeVisitorSupport

This AST visitor builds up a TreeNode.

author:
  Hamlet D'Arcy

Property Summary
`DefaultMutableTreeNode` | `currentNode`

Constructor Summary
`private TreeNodeBuildingVisitor(def adapter)` Creates the visitor.

Method Summary
`void` | `visitArgumentlistExpression(ArgumentListExpression node)`
`void` | `visitArrayExpression(ArrayExpression node)`
`void` | `visitAssertStatement(AssertStatement node)`
`void` | `visitAttributeExpression(AttributeExpression node)`
`void` | `visitBinaryExpression(BinaryExpression node)`
`void` | `visitBitwiseNegationExpression(BitwiseNegationExpression node)`
`void` | `visitBlockStatement(BlockStatement node)`
`void` | `visitBooleanExpression(BooleanExpression node)`
`void` | `visitBreakStatement(BreakStatement node)`
`void` | `visitBytecodeExpression(BytecodeExpression node)`
`void` | `visitCaseStatement(CaseStatement node)`
`void` | `visitCastExpression(CastExpression node)`
`void` | `visitCatchStatement(CatchStatement node)`
`void` | `visitClassExpression(ClassExpression node)`
`void` | `visitClosureExpression(ClosureExpression node)`
`void` | `visitClosureListExpression(ClosureListExpression node)`
`void` | `visitConstantExpression(ConstantExpression node)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression node)`
`void` | `visitContinueStatement(ContinueStatement node)`
`void` | `visitDeclarationExpression(DeclarationExpression node)`
`void` | `visitDoWhileLoop(DoWhileStatement node)`
`protected void` | `visitEmptyStatement(EmptyStatement node)`
`void` | `visitExpressionStatement(ExpressionStatement node)`
`void` | `visitFieldExpression(FieldExpression node)`
`void` | `visitForLoop(ForStatement node)`
`void` | `visitGStringExpression(GStringExpression node)`
`void` | `visitIfElse(IfStatement node)`
`void` | `visitListExpression(ListExpression node)`
`protected void` | `visitListOfExpressions(List list)`
`void` | `visitMapEntryExpression(MapEntryExpression node)`
`void` | `visitMapExpression(MapExpression node)`
`void` | `visitMethodCallExpression(MethodCallExpression node)`
`void` | `visitMethodPointerExpression(MethodPointerExpression node)`
`void` | `visitNotExpression(NotExpression node)`
`void` | `visitParameter(Parameter node)` Makes walking parameters look like others in the visitor.
`void` | `visitPostfixExpression(PostfixExpression node)`
`void` | `visitPrefixExpression(PrefixExpression node)`
`void` | `visitPropertyExpression(PropertyExpression node)`
`void` | `visitRangeExpression(RangeExpression node)`
`void` | `visitRegexExpression(RegexExpression node)`
`void` | `visitReturnStatement(ReturnStatement node)`
`void` | `visitShortTernaryExpression(ElvisOperatorExpression node)`
`void` | `visitSpreadExpression(SpreadExpression node)`
`void` | `visitSpreadMapExpression(SpreadMapExpression node)`
`void` | `visitStaticMethodCallExpression(StaticMethodCallExpression node)`
`void` | `visitSwitch(SwitchStatement node)`
`void` | `visitSynchronizedStatement(SynchronizedStatement node)`
`void` | `visitTernaryExpression(TernaryExpression node)`
`void` | `visitThrowStatement(ThrowStatement node)`
`void` | `visitTryCatchFinally(TryCatchStatement node)`
`void` | `visitTupleExpression(TupleExpression node)`
`void` | `visitUnaryMinusExpression(UnaryMinusExpression node)`
`void` | `visitUnaryPlusExpression(UnaryPlusExpression node)`
`void` | `visitVariableExpression(VariableExpression node)`
`void` | `visitWhileLoop(WhileStatement node)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### currentNode

    DefaultMutableTreeNode currentNode

Constructor Detail

### TreeNodeBuildingVisitor

    private TreeNodeBuildingVisitor(def adapter)

  Creates the visitor. A file named AstBrowserProperties.groovy is located which is a property files the describes how to represent ASTNode types as Strings.

Method Detail

### visitArgumentlistExpression

    public void visitArgumentlistExpression(ArgumentListExpression node)

### visitArrayExpression

    public void visitArrayExpression(ArrayExpression node)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement node)

### visitAttributeExpression

    public void visitAttributeExpression(AttributeExpression node)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression node)

### visitBitwiseNegationExpression

    public void visitBitwiseNegationExpression(BitwiseNegationExpression node)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement node)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression node)

### visitBreakStatement

    public void visitBreakStatement(BreakStatement node)

### visitBytecodeExpression

    public void visitBytecodeExpression(BytecodeExpression node)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement node)

### visitCastExpression

    public void visitCastExpression(CastExpression node)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement node)

### visitClassExpression

    public void visitClassExpression(ClassExpression node)

### visitClosureExpression

    public void visitClosureExpression(ClosureExpression node)

### visitClosureListExpression

    public void visitClosureListExpression(ClosureListExpression node)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression node)

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression node)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement node)

### visitDeclarationExpression

    public void visitDeclarationExpression(DeclarationExpression node)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement node)

### visitEmptyStatement

    protected void visitEmptyStatement(EmptyStatement node)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement node)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression node)

### visitForLoop

    public void visitForLoop(ForStatement node)

### visitGStringExpression

    public void visitGStringExpression(GStringExpression node)

### visitIfElse

    public void visitIfElse(IfStatement node)

### visitListExpression

    public void visitListExpression(ListExpression node)

### visitListOfExpressions

    protected void visitListOfExpressions(List list)

### visitMapEntryExpression

    public void visitMapEntryExpression(MapEntryExpression node)

### visitMapExpression

    public void visitMapExpression(MapExpression node)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression node)

### visitMethodPointerExpression

    public void visitMethodPointerExpression(MethodPointerExpression node)

### visitNotExpression

    public void visitNotExpression(NotExpression node)

### visitParameter

    public void visitParameter(Parameter node)

  Makes walking parameters look like others in the visitor.

### visitPostfixExpression

    public void visitPostfixExpression(PostfixExpression node)

### visitPrefixExpression

    public void visitPrefixExpression(PrefixExpression node)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression node)

### visitRangeExpression

    public void visitRangeExpression(RangeExpression node)

### visitRegexExpression

    public void visitRegexExpression(RegexExpression node)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement node)

### visitShortTernaryExpression

    public void visitShortTernaryExpression(ElvisOperatorExpression node)

### visitSpreadExpression

    public void visitSpreadExpression(SpreadExpression node)

### visitSpreadMapExpression

    public void visitSpreadMapExpression(SpreadMapExpression node)

### visitStaticMethodCallExpression

    public void visitStaticMethodCallExpression(StaticMethodCallExpression node)

### visitSwitch

    public void visitSwitch(SwitchStatement node)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement node)

### visitTernaryExpression

    public void visitTernaryExpression(TernaryExpression node)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement node)

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement node)

### visitTupleExpression

    public void visitTupleExpression(TupleExpression node)

### visitUnaryMinusExpression

    public void visitUnaryMinusExpression(UnaryMinusExpression node)

### visitUnaryPlusExpression

    public void visitUnaryPlusExpression(UnaryPlusExpression node)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression node)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement node)

Copyright © 2003-2009 The Codehaus. All rights reserved.